/*
 * filename: src/db.h
 * author: Pablo Yanez Trujillo <yanezp@imtek.de>
 *
 * BIG Database module
 */

#ifndef AOF_GUI_DB_H
#define AOF_GUI_DB_H

#include <glib.h>
#include <sqlite3.h>

/* I don't like it, but since this is C and I cannot put variables together
 * into a class I have to use global variables, which are implemented on
 * src/db.c
 * */

extern sqlite3* __db;

sqlite3* db_connect(const char* path);

GList* get_categories();
GList* get_images(const gchar* category);

#endif
